#include "keymap_common.h"

const uint8_t PROGMEM keymaps[][MATRIX_ROWS][MATRIX_COLS] = {
    /* 0: qwerty */
    KEYMAP( F1,F2,F3,F4,F5,		HOME,PAUSE,PGUP,	7,8,9,PSLS,\
            F6,F7,F8,F9,F10,	END,UP,PGDN,		4,5,6,KP_ASTERISK,\
            F11,F12,FN1,INS,PSCREEN,LEFT,DOWN,RIGHT,1,2,3,KP_MINUS,\
            ESC,MUTE,MPRV,MNXT,MPLY,				0,DELETE,KP_PLUS,\
            GRV,1,2,3,4,5,6,7,8,9,0,MINUS,EQUAL,BSPACE,\
            TAB,Q,W,E,R,T,Y,U,I,O,P,LBRACKET,RBRACKET,BSLASH,\
            CAPS,A,S,D,F,G,H,J,K,L,SCOLON,QUOTE,ENTER,\
            LSHIFT,Z,X,C,V,B,N,M,COMMA,DOT,SLASH,RSHIFT,\
            LCTRL,FN0,LALT,SPACE,RALT,LGUI,MENU,RCTRL),

    /*FN0 LAYER FOR MEDIA KEYS */
    KEYMAP( TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,\
            TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,\
            TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,\
            TRNS,TRNS,VOLD,VOLU,TRNS,							TRNS,TRNS,TRNS,\
            TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,\
            TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,\
            TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,\
            TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,\
            TRNS,FN0,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS),

    /* FN1 LAYER FOR NUM LOCK DOT PERIOD LAYER */
    KEYMAP( TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,\
            TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,\
            TRNS,TRNS,FN1,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,\
            TRNS,TRNS,TRNS,TRNS,TRNS,							TRNS,KP_DOT,TRNS,\
            TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,\
            TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,\
            TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,\
            TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,\
            TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS)

};
const uint16_t PROGMEM fn_actions[] = {
    [0] = ACTION_LAYER_MOMENTARY(1),
	[1]  = ACTION_LAYER_TOGGLE(2)
};
